import 'custom_notification_platform_interface.dart';

class CustomNotification {
  CustomNotification._();

  static Future<void> showRecordNotification(
      int notificationId, bool isRecording, String timeDesc,
      {required String channelId, required String channelName}) {
    return CustomNotificationPlatform.instance.showRecordNotification(
        notificationId, isRecording, timeDesc,
        channelId: channelId, channelName: channelName);
  }

  static Future<void> showAnalyseResultNotification(
      int notificationId, bool isSuccess, String talkId,
      {required String channelId, required String channelName}) {
    return CustomNotificationPlatform.instance.showAnalyseResultNotification(
        notificationId, isSuccess, talkId,
        channelId: channelId, channelName: channelName);
  }

  static Stream<String> recordActionStream() {
    return CustomNotificationPlatform.instance.recordActionStream();
  }
}
